Contact

Detail

GET/api/v1/contacts/{id}

This endpoint allows you to retrieve a contact by providing their klink.cloud id. Refer to the list at the top of this page to see which properties are included with contact objects.

Request

Authorization

Bearer Token

Provide your API token in the Authorization header. See Authentication to issue one.

Example:Authorization: Bearer ********************

Path Params
  • idstringrequired

    Example:

Responses

200

OK

  • statusstringrequired
  • messagestringrequired
  • dataobjectrequired
    Child attributes
    • idstringrequired
    • namestringrequired
    • addressnullrequired
    • channelnullrequired
    • notesnullrequired
    • socialProfileUrlstringrequired
    • tagsarray[object]required
      Child attributes
      • idstringoptional
      • namestringoptional
    • companyobjectrequired
      Child attributes
      • idstringrequired
      • namestringrequired
      • phonenullrequired
      • addressnullrequired
      • industrynullrequired
    • emailarray[object]required
      Child attributes
      • emailstringoptional
      • isPrimarybooleanoptional
    • phonearray[object]required
      Child attributes
      • phonestringoptional
      • isPrimarybooleanoptional
    • customFieldsarray[object]required
      Child attributes
      • system_namestringoptional
      • display_namestringoptional
      • typestringoptional
      • valuestringoptional